using Tiger.Communication.Messages.Interfaces;
using Tiger.Communication.Messages.Types;

namespace Tiger.Communication.Messages.Outgoing.Notifications;

public class ActivityPointNotificationMessageComposer : IMessageComposer
{
    private readonly int _amount;
    private readonly int _amountChanged;
    private readonly int _type;

    public ActivityPointNotificationMessageComposer(int amount, int amountChanged, int type)
    {
        _amount = amount;
        _amountChanged = amountChanged;
        _type = type;
    }

    public OutgoingHeaders Header => OutgoingHeaders.ActivityPointNotification;
    public void Compose(ServerMessage message)
    {
        message.AppendInt32(_amount);
        message.AppendInt32(_amountChanged);
        message.AppendInt32(_type);
    }
}