using FluentNHibernate.Mapping;

namespace Tiger.Game.Habbos;

public class HabboSubscriptionMap : ClassMap<HabboSubscription>
{
    public HabboSubscriptionMap()
    {
        Table("habbo_subscriptions");
        LazyLoad();
        Id(hs => hs.Id).Column("id").GeneratedBy.Identity();
        Map(hs => hs.SubscriptionType).Column("subscription_type").Not.Nullable();
        Map(hs => hs.Started).Column("started").Not.Nullable();
        Map(hs => hs.Expires).Column("expires").Not.Nullable();
        References(x => x.Habbo).Column("habbo_id").Not.Nullable();
    }
}