namespace Tiger.Game.Rooms.Mapping.Tiles;

/// <summary>
/// Empty and Unavailable can be set in both the RoomTile and RoomPoint. 
/// RoomTile belongs to the Model (the tile is either unavailable or empty)
/// RoomPoint belongs to the Grid (the tile has multiple states based on once actors and items are added)
/// </summary>
public enum RoomTileState
{
    Empty,
    Unavailable,
    HasWalkableStackableItem,
    WalkBlockedByItem,
    StackBlockedByItem,
    TileLockedByItem,
    BlockedByUser
}