using FluentNHibernate.Mapping;
using Tiger.Storage;

namespace Tiger.Game.Rooms;

public class RoomMap : ClassMap<Room>
{
    public RoomMap()
    {
        Table("rooms");
        Id(x => x.Id).Column("id").GeneratedBy.Identity();
        Map(x => x.Name).Column("name").Not.Nullable();
        Map(x => x.Description).Column("description").Not.Nullable();
        Map(x => x.ModelId).Column("model_id").Not.Nullable();
        Map(x => x.Password).Column("password").Nullable();
        Map(x => x.State).Column("state").Not.Nullable();
        Map(x => x.UsersIn).Column("users_in").Not.Nullable();
        Map(x => x.UsersMax).Column("users_max").Not.Nullable();
        Map(x => x.Score).Column("score").Not.Nullable();
        Map(x => x.Floor).Column("floor").Not.Nullable();
        Map(x => x.Wallpaper).Column("wallpaper").Not.Nullable();
        Map(x => x.Landscape).Column("landscape").Not.Nullable();
        Map(x => x.WallThickness).Column("wall_thickness").Not.Nullable();
        Map(x => x.WallHeight).Column("wall_height").Not.Nullable();
        Map(x => x.FloorThickness).Column("floor_thickness").Not.Nullable();
        Map(x => x.MoodlightData).Column("moodlight_data").Nullable();
        Map(x => x.Tags).Column("tags").CustomType<StringListTypeConverter>().Nullable();
        Map(x => x.IsPublic).Column("is_public").Not.Nullable();
        Map(x => x.IsStaffPicked).Column("is_staff_picked").Not.Nullable();
        Map(x => x.AllowOtherPets).Column("allow_other_pets").Not.Nullable();
        Map(x => x.AllowOtherPetsEat).Column("allow_other_pets_eat").Not.Nullable();
        Map(x => x.AllowWalkthrough).Column("allow_walkthrough").Not.Nullable();
        Map(x => x.HideWalls).Column("hide_walls").Not.Nullable();
        Map(x => x.ChatMode).Column("chat_mode").Not.Nullable();
        Map(x => x.ChatWeight).Column("chat_weight").Not.Nullable();
        Map(x => x.ChatSpeed).Column("chat_speed").Not.Nullable();
        Map(x => x.ChatHearingDistance).Column("chat_hearing_distance").Not.Nullable();
        Map(x => x.ChatProtection).Column("chat_protection").Not.Nullable();
        Map(x => x.OverrideModel).Column("override_model").Not.Nullable();
        Map(x => x.WhoCanMute).Column("who_can_mute").Not.Nullable();
        Map(x => x.WhoCanKick).Column("who_can_kick").Not.Nullable();
        Map(x => x.WhoCanBan).Column("who_can_ban").Not.Nullable();
        Map(x => x.RollerSpeed).Column("roller_speed").Not.Nullable();
        Map(x => x.Promoted).Column("promoted").Not.Nullable();
        Map(x => x.TradeMode).Column("trade_mode").Not.Nullable();
        Map(x => x.MoveDiagonally).Column("move_diagonally").Not.Nullable();
        Map(x => x.JukeboxActive).Column("jukebox_active").Not.Nullable();
        Map(x => x.HideWired).Column("hide_wired").Not.Nullable();
        Map(x => x.IsForSale).Column("is_for_sale").Not.Nullable();
        References(x => x.Owner).Column("owner_id").Nullable();
        References(x => x.Category).Column("category_id").Not.Nullable();
    }
}