using FluentNHibernate.Mapping;

namespace Tiger.Game.Rooms;

public class RoomModelMap : ClassMap<RoomModel>
{
    public RoomModelMap()
    {
        Table("room_models");
        LazyLoad();
        Id(rm => rm.Id).Column("id").GeneratedBy.Identity();
        Map(rm => rm.Name).Column("name").Not.Nullable();
        Map(rm => rm.DoorX).Column("door_x").Not.Nullable();
        Map(rm => rm.DoorY).Column("door_y").Not.Nullable();
        Map(rm => rm.DoorDirection).Column("door_direction").Not.Nullable();
        Map(rm => rm.Heightmap).Column("heightmap").Not.Nullable();
    }
}