using FluentNHibernate.Mapping;

namespace Tiger.Game.Rooms;

public class RoomPrivateCategoryMap : ClassMap<RoomPrivateCategory>
{
    public RoomPrivateCategoryMap()
    {
        Table("room_private_categories");
        LazyLoad();
        Id(rpc => rpc.Id).Column("id").GeneratedBy.Identity();
        Map(rpc => rpc.MinRank).Column("min_rank").Not.Nullable();
        Map(rpc => rpc.Code).Column("code").Not.Nullable();
        Map(rpc => rpc.Name).Column("name").Not.Nullable();
        Map(rpc => rpc.CanTrade).Column("can_trade").Not.Nullable();
    }
}